manples

N54L - upgrade from DSM 6.1.7 to 6.2.1?

Recommended Posts

Hi guys,

 

Few months ago I've successfully setup a N54L with DSM 6.1.7-15284 (JUN'S LOADER v1.02b - DS3615xs), thanks to this awesome forum!

 

After a long break I came back here and tried to find the procedure to migrate to DSM to 6.2.1-23824 but I must admit it's not clear to me.

 

Is it possible to just migrate with a new loader or should I just start over and do a fresh install?

I've found several posts of users stating they successfully migrated but I'd appreciate a little guidance here please :-) 

Thanks in advance! 

Share this post


Link to post
Share on other sites

Just tried with DS3617xs img + Jun's Loader v1.03b DS3617xs on a new USB drive,

Grub conf modified accordingly with new PID/VID/serial/(MAC unchanged)

New NAS was found via http://find.synology.com, followed the instructions to migrate and after reboot... nothing.

NAS is now unresponsive and not findable on the LAN. Got to start over I guess...

Edited by manples

Share this post


Link to post
Share on other sites
6 минут назад, manples сказал:

NAS is now bricked.

Try to migrate to 918 with 1.04b loader.

Edited by Olegin

Share this post


Link to post
Share on other sites

Got it working using the Synology assistant and "installation" pointing to DSM_DS3617xs_23739.pat choosing "keep my files and parameters" ;-)

 

All migrated and running ok !! (Loader v1.03b DS3617xs)

 

image.png.64d0ceed84fbb482d43b1eebed45457f.png

 

Share this post


Link to post
Share on other sites

Which boot option N54L should use?  First one 1.03b or Third VMWARE/ESXI  1.03B?

Share this post


Link to post
Share on other sites

@mysy the 3. option is only used if you are running a VirtualMachine hosted on VMWare / ESXi. If you are running "baremetal", use opt.1

Edited by bearcat

Share this post


Link to post
Share on other sites

@bearcat is right, choose the first one.

 

Just a quick note, my NAS wouldn't reboot with that configuration (ds3617), not sure if it's because of the USB drive or something else but anyway, 

I burnt a new USB key with 1.03b, installed DSM_DS3615xs_23739.pat and migrated using the Synology Assistant (choosing to keep my parameters and files). Everything went fine and my files were still here. I then did a manual upgrade through the control panel and installed the synology_bromolow_3615xs.pat (that's 23739_update 2), and now everything's working. Reboots normally, N54L running strong.

 

image.thumb.png.a6df11b30292276e27f84f547b79a656.png

 

image.png.84ab226488926090e3253b9a2fe2379b.png

 

(newbie readers: do not update and make sure you have disabled the auto updates!!!!)

image.png.fb9e2d5eda4a7729f9f7b40b9a5717f7.png

Edited by manples

Share this post


Link to post
Share on other sites
On 10/25/2018 at 12:19 PM, manples said:

And now I realize that I won't be able to update any further as I'm using the loader v1.03b...

 

So, anyone got their N54L working with DS918+ and 1.04b?

 

DSM 6.2.1-23824 Update 1 is working fine on 1.03b (DS3617xs) for me.

  • CPU: AMD Ryzen 7 1700X
  • Mobo: ASUS X370-F Gaming
  • LAN: Intel I350-T2

 

-EDIT

The more I think about it, I probably shouldn't have posted this. There is a safe way to test if an update will work on your hardware, and there is also a method to roll back to a previous version of DSM if you don't use the safe way to test and the update breaks something. All the info is available on these forums. But I just wanted to clarify that 1.03b is compatible with DSM 6.2.1-23824 Update 1 on some hardware.

Edited by ACiDxCHRiST

Share this post


Link to post
Share on other sites

@manples Finally got it working by using an intel nc360t network card, disabling the internal nic. Loader 1.3b, ds3615. Should also work on ds3617. This card is cheap on eBay, so get one and update your N54L... 

  • Like 1

Share this post


Link to post
Share on other sites

Tried Loader 1.3b, ds3615 on N54L with EXPI930CT, system is not able to restart or shutdown. I guess I need to stick with older loader.

Share this post


Link to post
Share on other sites

Hello everyone
I would like to ask what is the best bootloader on AMD
I have N54L and I can´t break the boot system (device I don´t see in the network).
i tried the bootloader on the DS3617 and the DS918 and the result is still the same I put the drivers "extra.lzma"

I ask for advice on how to resolve it.

Thank you

Share this post


Link to post
Share on other sites
3 часа назад, Dire сказал:

Hello everyone
I would like to ask what is the best bootloader on AMD
I have N54L and I can´t break the boot system (device I don´t see in the network).
i tried the bootloader on the DS3617 and the DS918 and the result is still the same I put the drivers "extra.lzma"

I ask for advice on how to resolve it.

Thank you

V1.02b for DSM 6.1 (current)

V1.03b for DSM 6.2 (only up to this version is not higher DSM_DS3615xs_23739.pat)

Share this post


Link to post
Share on other sites

Thank you for the link.

I have tested both the DMS 6.1 - 2 version but the result is still the same.
Normally boot DMS then I cann´t find it in the network. I tried to add drivers extra.lzma but the result is the same. Cann´t be the problem that there is an old bios?

 

Thanks for the information

Share this post


Link to post
Share on other sites

I think it's not possible to downgrade from 6.2.1 back to 6.2 I'm stuck without the Console port on the N54L (baremetal)

 

Share this post


Link to post
Share on other sites

I have upgraded the bios for the latest release in 2013 (HP_sp64420  version _O41100113.ROM  ) . I tried setting the bootloader but the result is still the same. I don´t see the installation in a DMS tested 6.1 - 6.2.

Share this post


Link to post
Share on other sites

@Dire OK, that's the one fixing a nic related problem for Windows 8.1 and Server 2012 R if memory serves me right.  The BIOS I'm using on my G7's are a modified version allowing the use of AHCI on all 6 SATA ports (among other things). And it's known as "TheBay" I'm using it on 1 N40L and 4 N54L's I have set up for my self and friends. They all work well with either Juns 1.02b DSM 6.1.7 and Juns 103b and DSM 6.2 (but NOT 6.2.1, unless you add a supported nic).

Edited by bearcat
  • Like 1

Share this post


Link to post
Share on other sites

Thanks for the information. Just move the extra.lzma into the bootloader and should it work? I'm going to try it

  • Confused 1

Share this post


Link to post
Share on other sites

Hi,

 

 

 

I am in the same situation as you. I was in 6.1.7 and I migrated in 6.2.1-23824 but checking on the forum I thought my HP N54L was compatible but in fact it is not. The problem comes from the internal network card that is not recognized by this version of the DSM. However some people on the forum have successed with a PCI Express network card Like this guys :

 

Quote

 

 

So i bought the network card and i 'm wainting for.

 

 

I hope that it will work and that I will not lose my data

Share this post


Link to post
Share on other sites

@Dire Your original BIOS should work, but the modded BIOS will give you the ability to use 6 HD's in your NAS.

Edit: if you look at this thread, flo89 had a problem like you, that was resolved after flashing the BIOS with a modded version.

'

@sebelec : Exactly what nic have you ordered?

Edited by bearcat
Added a link

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.